Subject: Missing <status> elements from examples in the DeltaV specificati on

From: Peter Raymond <[email-masked]>
Date: Thu, 24 Jan 2002 09:59:41 -0000

Hi,

Section 12.9.1 of RFC2518 gives a DTD for the response element of
multistatus:

<!ELEMENT response (href, ((href*, status)|(propstat+)),
responsedescription?) >

But in the examples in section 7.1.1 and 11.2.1 in the deltav specification
we have multistatus responses with <href> elements but no <status> or
<propstat>
elements.  These are invalid given the above DTD.

So, are the examples missing <status> elements or is the DTD wrong and
should we
allow responses without status and assume 200 OK?

Regards,
--
Peter Raymond - MERANT
Principal Architect (PVCS)
Tel: +44 (0)1727 813362
Fax: +44 (0)1727 869804
mailto:[email-masked]
WWW: http://www.merant.com

---

From: "Tim Ellison" <[email-masked]>
Date: Thu, 24 Jan 2002 10:49:59 +0000

The examples should be updated.
There is no good reason to depart from that DTD.

Regards,

Tim Ellison
Java Technology Centre, MP146
IBM UK Laboratory, Hursley Park, Winchester, UK. SO21 2JN
tel: +44 (0)1962 819872  internal: 249872  MOBx: 270452

Peter Raymond <[email-masked]>
Sent by: [email-masked]
2002-01-24 09:59

        To:     [email-masked]
        cc:     [email-masked]
        Subject:        Missing <status> elements from examples in the DeltaV specificati       on

Hi, 
But in the examples in section 7.1.1 and 11.2.1 in the deltav 
specification